import React, { useState, useEffect } from 'react';
import { StyleSheet, Button, TextInput, View, Text, TouchableOpacity, ImageBackground } from 'react-native';
import axios from 'axios'

import { ScrollView } from "react-native-gesture-handler";
import { FontAwesome } from "@expo/vector-icons";




export function Leaderboard({ navigation }) {
const [image, setImage] = useState('');
const [data, setData] = useState([]);
// const myRefs = React.useRef([]);
// const [loading, setLoading] = useState(true);

const fetchData = async () => {
    // const resp = await fetch("http://192.168.8.126:5000/getDetails", {method:"POST"});
  
    axios({
        method: "POST",
        url: "http://192.168.8.126:5000/getDetails",
       
      })
        .then(function (response) {
        //   console.log(response.data);
        // data = response.data
        setData(response.data.message)
       
        })
        .catch(function (error) {
          console.log(error);
        });
    // let element;
    // console.log(resp)
    // for (let i = 0; i < resp.length; i++) {
    //       element = message[i];
        
    // }
    // const data = element
    // setData(data);
    // setLoading(false);
  };

  useEffect(() => {
    fetchData();
  }, []);
 

    return (
            
        
        <ScrollView style={styles.container}>
                {/* <ImageBackground source={require('../assets/gamification.jpg')} style={styles.images}> */}

            {data.map((data) =>(
           
                // <TouchableOpacity style={styles.touchable} onPress={() => navigation.navigate('PriceScreen', {picture: data.userID.prof_img_name})}>

                    <View style={styles.card}>
                        {/* <View style={styles.left}>
                            <FontAwesome name="user-circle-o" size={75} size={75} color="black" />
                        </View> */}
                        <View style={styles.con}>
                        <Text>
                            {
                                image  && <Image source={{ uri: image }} style={{ width: 200, height: 200 }} />
                            }
                        </Text>
                    
                        </View>
                        <View style={styles.right}>
                            <Text >Name: {data.userID.name}</Text>
                            <Text >Earns: {data.earns}</Text>
                            <Text >District: {data.userID.district}</Text>
                            <Text >Points: {data.points}</Text>
                        </View>
                    </View>
                // {/* </TouchableOpacity> */}
            ))}
           
         {/* ) )} */}
           
   
              
                
        {/* </ImageBackground> */}
            </ScrollView>

    )
}

const styles = StyleSheet.create({
    container: {
        // marginTop:20,
        backgroundColor: 'white',
        flex: 1,
        color: '#333',
        padding: 10,
        // marginTop: 20,
        // marginBottom: 10,
        width: "100%",
    },
    card: {
        marginBottom: 10,
        marginLeft: "2%",
        width: "96%",
        shadowColor: "lightpink",
        shadowOpacity: 0.9,
        shadowRadius: 1,
        shadowOffset: { width: 3, height: 3 },
        elevation: 5,
        padding: 10,
        flexDirection: "row",
        backgroundColor: '#fc9a44',
        borderRadius: 10,
        marginTop: 10

    },

    right: {
        marginLeft: 50,
    },
    left: {
        marginLeft: 5
    },
    images: {
        // justifyContent: 'center',
        //   alignItems: 'center',
        //   height: '100%',
        height: '100%',
        justifyContent: 'center'
    },
    con:{
        elevation:2,
        height:100,
        width:100, 
        backgroundColor:'#efefef',
        position:'relative',
        borderRadius:999,
        overflow:'hidden',
        justifyContent:"center",
        alignItems:"center",
        alignSelf:"center"
    }
});
