// Example of Splash, Login and Sign Up in React Native
// https://aboutreact.com/react-native-login-and-signup/

// Import React and Component
import React from 'react';
import { StyleSheet, View, Text, TouchableOpacity, ImageBackground, SafeAreaView } from "react-native";
import { Entypo } from '@expo/vector-icons';

export function AboutUs({ navigation }) {
  //to diable the yellow box warning on the simulator

  return (
    // <SafeAreaView style={{flex: 1, color: 'yellow'}}>
    <View style={styles.container}>

            <ImageBackground source={require('../assets/gamification.jpg')} style={styles.images}>

        <View>
        <Text style={styles.topic}> About Us </Text>
        </View>

        <View style={styles.iconView}>

        <Entypo name="phone" size={50} color="black" />
        </View>
           
      <Text style={styles.heading}>
      Agripreneurs solution Application created by the SLIIT final year Software Engineering undergraduates for the Research.
      Appreciated very much everyone who help in every way to make success the Application. 
      </Text>
      <Text style={styles.heading}>
        Vision: Empower the entrepreneurs who used the Application. guide them to become success entrepreneurs in their way.
        Mission: Hope to build the suceess most famous Agriculture Application in Sri Lanka
      </Text>
      <Text style={styles.heading2}>
          125, New Kandy road, Malabe. 0775555555
        All Right Reserved.
      </Text>
      </ImageBackground>
    </View>
      // </SafeAreaView>
  );
}

const styles = StyleSheet.create({
  heading: {
    fontSize: 17,
    alignSelf: "center",
    marginTop: 10,
  },
  heading2: {
    fontSize: 15,
    alignSelf: "center",
    marginTop: 10,
  },
  buttonText: {
    color: "#000",
    fontSize: 15,
    marginLeft: 8
  },
  container: {
    
    backgroundColor: 'gray',
    justifyContent:"center"

  },
  topic: {
    textAlign: 'center',
    color: '#333',
    fontWeight: 'bold',
    padding: 10,
    fontSize: 18,
    marginTop:15
  },
  iconView:{
    alignSelf: 'center',
  },
  images:{
    height: '100%',
    justifyContent: 'center'
  }
});

